package org.dive4elements.river.client.client.services;

import com.google.gwt.user.client.rpc.RemoteService;
import com.google.gwt.user.client.rpc.RemoteServiceRelativePath;

import org.dive4elements.river.client.shared.exceptions.ServerException;
import org.dive4elements.river.client.shared.model.SedimentLoadInfoObject;

/**
 * This service is used to fetch a list of SedimentLoadInfoObjects from artifact
 * server for a specific river.
 *
 * @author <a href="mailto:raimund.renkert@intevation.de">Raimund Renkert</a>
 */
@RemoteServiceRelativePath("sedimentloadinfo")
public interface SedimentLoadInfoService extends RemoteService {

    /**
     * This method returns a list of SedimentLoadInfoObjects for a specific river.
     */
    SedimentLoadInfoObject[] getSedimentLoadInfo(
        String locale,
        String river,
        String type,
        double startKm,
        double endKm)
    throws ServerException;
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
